<script lang="ts" setup>
import type { BaseEyebrow } from '@/types/base';
import { ArrowRight } from 'slippers-ui/icons';
const icons = { ArrowRight };
/**
 * Commonly used within Hero components. Can appear as a pill with a customizable background or will be transparent.
 * Should be adjusted further if it needs to be a link, take in icons, or have additional features.
 */

defineProps<BaseEyebrow>();
</script>

<template>
  <component
    :is="config?.href ? 'a' : 'div'"
    class="eyebrow"
    :style="{ backgroundColor: config?.backgroundColor }"
    :href="config?.href || undefined"
    :data-ga-name="config?.dataGaName || undefined"
    :data-ga-location="config?.dataGaLocation || undefined"
  >
    <SlpTypography :variant="config?.typographyVariant || 'body3-bold'" :tag="config?.tag || 'p'">
      {{ text }}
    </SlpTypography>
    <SlpIcon v-if="config?.icon" :icon="icons[config?.icon]" size="sm" />
  </component>
</template>

<style lang="scss" scoped>
.eyebrow {
  border-radius: 20px;
  display: flex;
  gap: $spacing-16;
  align-items: center;
  justify-content: flex-start;
  width: fit-content;
  padding: 4px 12px;
  color: $color-text-300;
}
</style>
